from rest_framework import serializers

from company.models.location import LocationCode


class LocationSerializer(serializers.ModelSerializer):
    """Serializer location code ISO-3166-2"""

    class Meta:
        model = LocationCode
        fields = ('id', 'code')
