export enum Column {
  Name = 'name',
  Status = 'status',
  Type = 'type',
  Ip = 'ip',
  Vulnerabilities = 'vulnerabilities',
  Incidents = 'incidents',
  Tags = 'tags',
  Updated = 'updated',
  Description = 'description',
  GroupMember = 'groupMember',
  Action = 'action',
}

export enum ActionTable {
  DeleteSelectedAssetsQuestion = 'deleteSelectedAssetQuestion',
  DeleteSelectedGroupsQuestion = 'deleteSelectedGroupsQuestion',
  DeleteSelectedGroupQuestion = 'deleteSelectedGroupQuestion',
  DeleteSelectedAssetsPopover = 'deleteSelectedAssetPopover',
  DeleteSelectedGroupsPopover = 'deleteSelectedGroupsPopover',
  ChangeStatusSelectedAssetsQuestion = 'changeStatusSelectedAssetsQuestion',
  ChangeStatusSelectedAssetsPopover = 'changeStatusSelectedAssetsPopover',
}

export enum StatusTag {
  Registered = 'registered',
  NotRegistered = 'notRegistered',
}
export enum Notification {
  TitleDeleted = 'titleDeleted',
  DescriptionDeleted = 'descriptionDeleted',
  DescriptionDeletedGroups = 'descriptionDeletedGroups',
  TitleDownload = 'titleDownload',
  DescriptionDownload = 'descriptionDownload',
  ChangeStatus = 'changeStatus',
  PleaseCheckData = 'pleaseCheckData',
}
export enum CardInfoFields {
  CreateNewAsset = 'createNewAsset',
  CreateNewGroups = 'createNewGroups',
  HeaderTitle = 'headerTitle',
  Name = 'name',
  Ip = 'ip',
  IpValidation = 'ipValidation',
  Os = 'os',
  Manufacturer = 'manufacturer',
  Model = 'model',
  AssetType = 'assetType',
  Status = 'status',
  Tags = 'tags',
  Ports = 'ports',
  PortsValidation = 'portsValidation',
  Description = 'description',
  Incidents = 'incidents',
  SelectManufacturerFromList = 'selectManufacturerFromList',
  ManufacturerList = 'manufacturerList',
  PortsListExtra = 'portsListExtra',
  AssetModelExtra = 'assetModelExtra',
  FieldCanNotEmptyValidation = 'fieldCanNotEmptyValidation',
  IpExtra = 'ipExtra',
  SelectOsFromList = 'selectOsFromList',
  OsFoundOnAssetExtra = 'osFoundOnAssetExtra',
  SelectGroupsFromListPlaceholder = 'selectGroupsFromListPlaceholder',
  GroupsWhichTheAssetBelongs = 'groupsWhichTheAssetBelongs',
  SelectAssetStatus = 'selectAssetStatus',
  AssetResolutionStatus = 'assetResolutionStatus',
  EnterLoginAsset = 'enterLoginAsset',
  MaxLength = 'maxLength',
  Permitted = 'permitted',
  NotPermitted = 'notPermitted',
}
