export type TypeNCIRCCMessages = {
  ncirccNotificationMessages: {
    messengerPostMessageErrorTitle: string;
    messengerPostMessageErrorSubTitle: string;
    notificationNoData: string;
    messengerInputPlaceholder: string;
    messengerInputSubmit: string;
    noMessage: string;
  };

  organizationCardMessages: {
    personal_account_NCCC: string;
    subject_CII: string;
    name: {
      title: string;
      validateMessage: string;
    };
    location: {
      title: string;
      validateMessage: string;
    };
    city: {
      title: string;
      validateMessage: string;
    };
    sphere_func_subject: {
      title: string;
      validateMessage: string;
    };
    api_key: {
      title: string;
      validateMessage: string;
    };
    save: string;
    notification: {
      saveSuccess: string;
      saveError: {
        title: string;
        subTitle: (str: string) => string;
      };
      fetchError: string;
    };
  };
};

export type TypeMessage = {
  create_time: string;
  from_console: boolean;
  id: number;
  id_in_ncircc: number;
  is_read: boolean;
  login: string;
  notification: number;
  text: string;
};
