export enum Title {
  Title = 'title',
}
export enum Menu {
  Tls = 'tls',
  Authentication = 'authentication',
}
export enum Button {
  CreateNew = 'createNew',
  Delete = 'delete',
  Save = 'save',
  Cancel = 'cancel',
}
export enum Authentication {
  CardTitleAuthentication = 'cardTitleAuthentication',
  LimitingLogin = 'limitingLogin',
  AuthenticationTimeout = 'authenticationTimeout',
  LimitingLoginExtra = 'limitingLoginExtra',
  AuthenticationTimeoutExtra = 'authenticationTimeoutExtra',
}
export enum Tls {
  EnabledTls = 'enabledTls',
  CardTitleTls = 'cardTitleTls',
  Certificate = 'certificate',
  AtTheMoment = 'atTheMoment',
  Edit = 'edit',
  SelectFile = 'selectFile',
  Review = 'review',
  Key = 'key',
  CertNotUse = 'certNotUse',
  KeyNotUse = 'keyNotUse',
  KeyExtra = 'keyExtra',
  CrtExtra = 'crtExtra',
}
export enum Notification {
  SavedSuccess = 'savedSuccess',
  TlsDeleted = 'tslDeleted',
  TlsCreateNew = 'tslCreateNew',
  TooltipCancelButtonUpload = 'tooltipCancelButtonUpload',
  TooltipCancelButtonUploadOrCreateNew = 'tooltipCancelButtonUploadOrCreateNew',
  WrongFormatTitle = 'wrongFormatTitle',
  WrongFormatDescriptionCert = 'wrongFormatDescriptionCert',
  WrongFormatDescriptionKey = 'wrongFormatDescriptionKey',
}

export enum Validation {
  NeedUploadCert = 'needUploadCert',
  NeedUploadKey = 'needUploadKey',
  FieldNotEmpty = 'fieldNotEmpty',
}
