import React from 'react';
import { Button } from 'antd';

const DrawerFooter = ({
  translations: { downloadButton },
  handleClick,
}: {
  translations: { downloadButton: string };
  handleClick: (e: React.MouseEvent<HTMLElement>) => void;
}): JSX.Element => {
  return (
    <div
      style={{
        position: 'relative',
        height: 35,
      }}
    >
      <div style={{ position: 'absolute', right: 15 }}>
        <Button onClick={handleClick} type="primary">
          {downloadButton}
        </Button>
      </div>
    </div>
  );
};

export default DrawerFooter;
