import { TypeLeftSidebar } from 'components/Dashboard/types';
import { TypeLeftSideBar } from './types';
import { DownloadOutlined } from '@ant-design/icons';

export const useLeftSideBarContent = (
  leftSideBar: TypeLeftSideBar,
): TypeLeftSidebar[] => [
  {
    title: leftSideBar.title,
    key: 0,
  },
  {
    title: leftSideBar.download,
    key: 1,
    path: '/storage',
    icon: <DownloadOutlined />,
  },
];
