## Доступные скрипты в проекте:

### `Запуск приложения`

`npm start` Запускает приложение в режиме разработки.\
Откройте [http://localhost:3000](http://localhost:3000), чтобы просмотреть его в браузере.

Страница перезагрузится, если вы внесете изменения.\
Вы также увидите любые ошибки lint в консоли.

### `Запуск тестов`

Для запуска тестов используется команда `npm test`, \
после запуска команды нажать "а", это запустит все тесты

### `Сборка приложения`

Команда `npm build` Создает приложение для деплоя в папке `build`.\
Он правильно объединяет React, и оптимизирует сборку для достижения наилучшей производительности.

Сборка минимизирована, а имена файлов включают хэши.\
Ваше приложение готово к развертыванию!

## Генерация типов для TS из схемы .yaml:
    npx swagger-typescript-api -p ./finalschemaAPI.yaml -o ./src -n myApi.ts