import EditAndSaveButton from './EditAndSaveButton';

const DrawerFooter = ({
  isEditFields,
  handleToggleEdit,
}: {
  isEditFields: boolean;
  handleToggleEdit: () => void;
}): JSX.Element => {
  return (
    <div
      style={{
        position: 'relative',
        height: 35,
      }}
    >
      <div style={{ position: 'absolute', right: 15 }}>
        <EditAndSaveButton
          isEditFields={isEditFields}
          handleToggleEdit={handleToggleEdit}
        />
      </div>
    </div>
  );
};

export default DrawerFooter;
