export type TMainMenuMessage = {
  assets: {
    title: string;
    assets_table: string;
    network_maps: {
      title: string;
      static: string;
      automatic: string;
    };
    security: string;
    endpoint: string;
  };
  journals: {
    title: string;
    incidents: string;
    events: string;
    correlations: string;
  };
  settings: {
    title: string;
    system_settings: {
      title: string;
    };
    license: {
      title: string;
      current: string;
      activation: string;
    };
    journals: {
      title: string;
      rotations: string;
      exports: string;
      storage: string;
    };
  };
  ncircc: {
    title: string;
  };
};
