import { notification } from 'antd';

export const openNotificationError = ({
  messageTitle,
  messageDescription = null,
}: {
  messageTitle: string;
  messageDescription?: string | null;
}): void => {
  notification.error({
    message: messageTitle,
    description: messageDescription,
  });
};
