export type TUseColumns = {
  title: string;
  dataIndex: string;
  key: string;
  checked?: boolean;
  width?: number | string;
  align?: string;
  render?: (text: any) => JSX.Element | Element;
};

export const columnSensorInformationModal = [
  {
    title: 'Title',
    dataIndex: 'title',
    key: 'title',
  },
  {
    title: 'Value',
    dataIndex: 'value',
    key: 'value',
  },
];
export const columnOPCUA = [
  {
    title: 'Host',
    dataIndex: 'Host',
    key: 'host',
  },
  {
    title: 'Port',
    dataIndex: 'Port',
    key: 'port',
  },
  {
    title: 'Node',
    dataIndex: 'Node',
    key: 'node',
  },
  {
    title: 'Minimum severity level',
    dataIndex: 'MinimumSeverityLevel',
    key: 'minimumSeverityLevel',
  },
  {
    title: 'Export status',
    dataIndex: 'ExportStatus',
    key: 'exportStatus',
  },
  {
    title: 'Actions',
    dataIndex: 'Actions',
    key: 'actions',
  },
];
