/* eslint-disable */

export const regexpPorts = /^(?:\d\;?)+$/;
export const portsIncorrect = ['qwerty', '1234; 123', '123, 123', '123,qwe'];
export const portsCorrect = ['123', '1234;1234'];
export const regexpIp =
  /^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/;
export const ipIncorrect = [
  '192.168.256.1',
  'qwerty',
  '192.168.256.1.',
  ' 192.168.254.1',
  '192.168.254.1.1',
];
export const ipCorrect = ['196.23.11.22', '1.0.0.0'];
const regexpMac = /^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$/;
export const macIncorrect = [
  '005.0b6.5bc.a6a',
  'qwerty',
  '00-50-B6-5B-CA-6A',
  ' 00:50:B6:5B:CA:6A',
  '00:50:B6:5B:CA:6A:TT',
];
export const macCorrect = ['00:50:B6:5B:CA:6A', '10:50:B6:44:CA:FD'];

export const assetsTypeValue = [
  { title: 'User', value: 'user' },
  { title: 'Arma industrial firewall', value: 'arma_industrial_firewall' },
  { title: 'PLC', value: 'plc' },
  { title: 'PC', value: 'pc' },
  { title: 'Server', value: 'server' },
  { title: 'Network device', value: 'network_device' },
];
