type TUseFields = {
  firewall: {
    title: string;
    type: string;
    key: string;
  }[];
  endpoint: {
    title: string;
    type: string;
    key: string;
  }[];
};

const MAIN_FIELDS = [
  { title: 'Имя', type: 'input', key: 'name' },
  {
    title: 'IP',
    type: 'input',
    key: 'ip',
  },

  {
    title: 'Порт',
    type: 'input',
    key: 'port',
  },
  {
    title: 'Производитель',
    type: 'input',
    key: 'manufacturer',
  },
  {
    title: 'Дополнительная инофрмация инфо',
    type: 'input',
    key: 'more_info',
  },
];

export const useFields = (): TUseFields => {
  return {
    firewall: [
      ...MAIN_FIELDS,
      {
        title: 'Ключ',
        type: 'input',
        key: 'key',
      },
      {
        title: 'Секрет',
        type: 'input',
        key: 'secret',
      },
    ],
    endpoint: [...MAIN_FIELDS],
  };
};
