import { Incident } from 'myApi';
import { TStatusOption, TStatusOptionMessage, TUsers } from './types';

export const incident: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий первого инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-22 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 1,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident2: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий второго инцидента',
  created: '2022-04-21 08:38:53',
  deadline: undefined,
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 1,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident3: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий третьего инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-21 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 0,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident4: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий четвертого инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-21 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 1,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident5: Incident = {
  assigned_to: null,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий пятого инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-21 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 2,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident6: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: null,
  created: '2022-04-21 08:38:53',
  deadline: undefined,
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 2,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident7: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий седьмого инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-25 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 2,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};
export const incident8: Incident = {
  assigned_to: 0,
  category: {
    name: 'string',
    description: 'string',
    id: 123,
  },
  comment: 'Коментарий седьмого инцидента',
  created: '2022-04-21 08:38:53',
  deadline: '2022-04-25 08:38:53',
  event_count: 7,
  events: [],
  importance: 33,
  incident_id: '4884fd36-a16d-414b-b214-7346db5fad75',
  status: 3,
  timestamp: '2022-04-21 08:38:53',
  title: 'incident_2',
  updated: '2022-04-26 07:23:45',
  user_friendly_id: 2,
  notification_id: 2,
};

export const USERS: TUsers = [
  {
    value: 1,
    label: 'admin',
    first_name: '',
  },
];

export const statusOption = ({
  notAssigned,
  assigned,
  delayed,
  resolve,
  falseAlarm,
}: TStatusOptionMessage): TStatusOption[] => [
  { value: 0, label: notAssigned },
  { value: 1, label: assigned },
  { value: 2, label: delayed },
  { value: 3, label: resolve },
  { value: 4, label: falseAlarm },
];
