import { DownloadOutlined } from '@ant-design/icons';

export const BulletinsContentTicket = (bulletin: any): JSX.Element => {
  return (
    <div className="flex-aic">
      <span className="messageTicketTitle">{bulletin?.name}</span>
      <span className="messageTicketRigthContex BuletinTicketTitle">
        {bulletin?.date}
      </span>
      <DownloadOutlined
        style={{ color: '#1890ff', fontSize: '24px', marginLeft: '24px' }}
      />
    </div>
  );
};
export const BulletinsContentDrawer = (bulletin: any): JSX.Element => {
  return <span>{bulletin?.info}</span>;
};
