// App
// -----------------------------------------------------------------------------
import { TypeIncidentRecommendation } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class IncidentsRecommendationsStore extends GenericDataStore<TypeIncidentRecommendation> {
  constructor() {
    super(environment.endPoints.incidents.recommendations);
    this.override();
  }

  getId = (entity: TypeIncidentRecommendation): number => entity.id;

  getName = (entity: TypeIncidentRecommendation): string => entity.name;
}
